rpms/tpb/devel Makefile, 1.3, 1.4 sources, 1.5, 1.6 tpb-defaultconfig.patch, 1.5, 1.6 tpb.spec, 1.12, 1.13

Kevin Fenzi (kevin) fedora-extras-commits at redhat.com
Fri May 19 19:33:21 UTC 2006


Author: kevin

Update of /cvs/extras/rpms/tpb/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv28794

Added Files:
	Makefile sources tpb-defaultconfig.patch tpb.spec 
Log Message:
Bring back from Attic and build for devel



Index: Makefile
===================================================================
RCS file: Makefile
diff -N Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Makefile	19 May 2006 19:33:21 -0000	1.4
@@ -0,0 +1,21 @@
+# Makefile for source rpm: tpb
+# $Id$
+NAME := tpb
+SPECFILE = $(firstword $(wildcard *.spec))
+
+define find-makefile-common
+for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
+endef
+
+MAKEFILE_COMMON	:= $(shell $(find-makefile-common))
+
+ifeq ($(MAKEFILE_COMMON),)
+# attept a checkout
+define checkout-makefile-common
+test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
+endef
+
+MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
+endif
+
+include $(MAKEFILE_COMMON)


Index: sources
===================================================================
RCS file: sources
diff -N sources
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ sources	19 May 2006 19:33:21 -0000	1.6
@@ -0,0 +1,2 @@
+563b544fbedcc1763130a0bca1ad63b6  tpb-0.6.4.tar.gz
+96965b2e52a40f18a377d482f83eedab  tpb-0.6.4.tar.gz.sig

tpb-defaultconfig.patch:

Index: tpb-defaultconfig.patch
===================================================================
RCS file: tpb-defaultconfig.patch
diff -N tpb-defaultconfig.patch
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ tpb-defaultconfig.patch	19 May 2006 19:33:21 -0000	1.6
@@ -0,0 +1,57 @@
+--- doc/tpbrc.orig	2004-08-18 16:57:32.000000000 +0300
++++ doc/tpbrc	2005-05-16 01:09:41.000000000 +0300
+@@ -27,19 +27,19 @@
+ # String with command and options that should be executed when Home button is
+ # pressed (only available on A and S series). By default no command is executed.
+ #
+-#HOME        /usr/bin/mozilla 
++#HOME        /usr/bin/htmlview
+ 
+ ## SEARCH
+ # String with command and options that should be executed when Search button is
+ # pressed (only available on A and S series). By default no command is executed.
+ #
+-#SEARCH      /usr/bin/mozilla http://www.google.com
++#SEARCH      /usr/bin/htmlview http://www.google.com
+ 
+ ## MAIL
+ # String with command and options that should be executed when Mail button is
+ # pressed(only available on A and S series). By default no command is executed.
+ #
+-#MAIL        /usr/bin/X11/xterm -T mutt -geometry 140x40 -e mutt
++#MAIL        /usr/bin/evolution
+ 
+ ## WIRELESS
+ # String with command and options that should be executed when Wireless button is
+@@ -181,13 +181,13 @@
+ # Defines the font for the on-screen display. You may use "xfontsel" to choose
+ # one. Default is the default font of the xosd library.
+ #
+-#OSDFONT     -*-lucidatypewriter-*-*-*-*-*-240-*-*-*-*-*-*
++OSDFONT     -*-luxi sans-*-r-*-*-17-*-*-*-*-*-*-*
+ 
+ ## OSDCOLOR
+ # Defines the color of the on-screen display. You may use "xcolors" to choose
+ # one. Default is BLUE.
+ #
+-#OSDCOLOR    Blue
++OSDCOLOR    Green
+ 
+ ## OSDTIMEOUT
+ # Defines how long (in seconds) the on-screen display is shown after the last
+@@ -225,13 +225,13 @@
+ ## OSDVERTICAL
+ # Defines the offset from the top or bottom of the screen in pixels. Default is 25.
+ #
+-#OSDVERTICAL 25
++OSDVERTICAL 60
+ 
+ ## OSDHORIZONTAL
+ # Defines the offset from the left or right of the screen in pixels. Only
+ # supported by xosd 2.0.0 and above. Default is 25.
+ #
+-#OSDHORIZONTAL 25
++OSDHORIZONTAL 60
+ 
+ ## OSDPOS
+ # Defines where the osd is shown. Possible values are top, middle and bottom.


Index: tpb.spec
===================================================================
RCS file: tpb.spec
diff -N tpb.spec
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ tpb.spec	19 May 2006 19:33:21 -0000	1.13
@@ -0,0 +1,173 @@
+Name:           tpb
+Version:        0.6.4
+Release:        4%{?dist}
+Summary:        ThinkPad button support utility
+
+Group:          System Environment/Base
+License:        GPL
+URL:            http://www.nongnu.org/tpb/
+Source0:        http://savannah.nongnu.org/download/tpb/%{name}-%{version}.tar.gz
+Source1:        http://savannah.nongnu.org/download/tpb/%{name}-%{version}.tar.gz.sig
+Patch0:         %{name}-defaultconfig.patch
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+ExclusiveArch:	%{ix86}
+BuildRequires:  xosd-devel >= 2.0.0
+BuildRequires:  libX11-devel
+BuildRequires:  libXt-devel
+BuildRequires:  gettext
+Requires:       udev >= 050-6
+Requires:       MAKEDEV
+Requires:       xorg-x11-xinit
+
+%description
+With TPB it is possible to bind a program to the ThinkPad, Mail, Home
+and Search buttons. TPB can also run a callback program on each state
+change with the changed state and the new state as options.  So it is
+possible to trigger several actions on different events.  TPB has a
+on-screen display (OSD) to show volume, mute, brightness and some
+other information.  Furthermore TPB supports a software mixer, as the
+R series ThinkPads have no hardware mixer to change the volume.
+
+
+%prep
+%setup -q
+%patch0 -p0
+
+# Start tpb at X startup:
+cat <<EOF > %{name}.xinit
+#!/bin/sh
+%{_bindir}/tpb -d
+EOF
+
+# For the initial MAKEDEV at post-install time, and possibly later:
+cat <<EOF > %{name}.makedev
+# Custom permissions for nvram for use with tpb(1).
+c 664 root root         10 144  1   1 nvram
+EOF
+
+# To get the /dev entry created at boot:
+cat <<EOF > %{name}.nodes
+# /dev/nvram, needed by tpb(1), needs to be created manually.
+nvram
+EOF
+
+# Permissions fixup:
+cat <<EOF > %{name}.rules
+# Custom permissions for nvram for use with tpb(1).
+KERNEL=="nvram", MODE="0664"
+EOF
+
+
+%build
+%configure
+make %{?_smp_mflags}
+
+
+%install
+rm -rf $RPM_BUILD_ROOT
+make install DESTDIR=$RPM_BUILD_ROOT
+install -Dm 755 %{name}.xinit \
+  $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
+install -Dpm 644 %{name}.rules \
+  $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/90-%{name}.rules
+install -Dpm 644 %{name}.nodes \
+  $RPM_BUILD_ROOT%{_sysconfdir}/udev/makedev.d/90-%{name}.nodes
+install -Dpm 644 %{name}.makedev \
+  $RPM_BUILD_ROOT%{_sysconfdir}/makedev.d/zz_%{name}
+%find_lang %{name}
+
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+
+%post
+/sbin/MAKEDEV nvram >/dev/null || :
+
+
+%files -f %{name}.lang
+%defattr(-,root,root,-)
+%doc ChangeLog COPYING CREDITS README doc/callback_example.sh doc/nvram.txt
+%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
+%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
+%config(noreplace) %{_sysconfdir}/udev/makedev.d/*-%{name}.nodes
+%config(noreplace) %{_sysconfdir}/makedev.d/*%{name}
+%config(noreplace) %{_sysconfdir}/tpbrc
+%{_bindir}/tpb
+%{_mandir}/man1/tpb.1*
+
+
+%changelog
+* Fri May 19 2006 Kevin Fenzi <kevin at tummy.com> - 0.6.4-4
+- Bring back from Attic and build for devel
+
+* Sun Mar 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6.4-3
+- Rebuild.
+
+* Thu Nov 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.4-2
+- Adapt to modular X packaging.
+
+* Thu Oct 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.4-1
+- 0.6.4.
+
+* Mon May 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.3-4
+- Adapt to work with FC4's udev configuration.
+- Improve default OSD placement.
+
+* Thu Mar 24 2005 Colin Charles <colin at fedoraproject.org> - 0:0.6.3-3
+- add ExclusiveArch x86 only
+
+* Wed Feb  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.3-2
+- Add udev-awareness to /dev/nvram handling (#147306, Matthew Saltzman).
+- Change default OSD font to "luxi sans", "sans" doesn't work early enough.
+
+* Tue Aug 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.3-0.fdr.1
+- Update to 0.6.3.
+- Further small improvements to default config.
+
+* Wed Jun  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-0.fdr.2
+- Rename xinit scriptlet to tpb.sh (bug 1227, bugzilla.redhat.com/122869).
+
+* Wed May 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-0.fdr.1
+- Update to 0.6.2.
+- Improve default configuration.
+- Remove LD_ASSUME_KERNEL hack.
+
+* Mon Jan 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.1
+- Update to 0.6.1.
+
+* Mon Nov 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.fdr.3
+- Don't use MAKEDEV to create /dev/nvram.
+
+* Wed Oct 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.fdr.2
+- Add LD_ASSUME_KERNEL=2.4.1 workaround to xinit script.
+  http://savannah.nongnu.org/bugs/?func=detailbug&bug_id=3260&group_id=2320
+
+* Mon Aug 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.fdr.1
+- Update to 0.6.0.
+
+* Tue May 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.4
+- Make /dev/nvram readable again (#296).
+
+* Sun May 18 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.3
+- Use MAKEDEV for creating the nvram device node and own it.
+- Mark xinit file as config to make rpmlint happy.
+- %%{buildroot} -> $RPM_BUILD_ROOT.
+- Make the build honor $RPM_OPT_FLAGS.
+
+* Sat Apr 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.2
+- Don't require tpctl (#177).
+
+* Fri Apr 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.1
+- Update to 0.5.1.
+
+* Sun Apr  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.1
+- Update to 0.5.0.
+- Save .spec in UTF-8.
+
+* Sun Mar 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.2-0.fdr.1
+- Rebuild according to Fedora RC3 guidelines.
+
+* Sat Feb  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.4.2-1.fedora.1
+- First Fedora release.




More information about the fedora-extras-commits mailing list